Package picard.arrays

# Class BafRegressMetrics

java.lang.Object
htsjdk.samtools.metrics.MetricBase
picard.arrays.BafRegressMetrics

@DocumentedFeature(groupName="Metrics", summary="Metrics") public class BafRegressMetrics extends htsjdk.samtools.metrics.MetricBase

## Field Summary

Fields
Modifier and Type
Field
Description
`double`
`CALL_RATE`
The call rate of the sample (number of non-missing genotypes)
`double`
`ESTIMATE`
The estimate of contamination from the model (on the 0.0-1.0 scale)
`double`
`LOG10_PVAL`
The log p-value of the estimate
`int`
`NHOM`
The number of homozygous genotypes used to fit the model
`double`
`PVAL`
The p-value of the estimate
`String`
`SAMPLE`
The sample name
`double`
`STDERR`
The standard error of the estimate
`double`
`TVAL`
The test statistic for the estimate

## Constructor Summary

Constructors
Constructor
Description
`BafRegressMetrics()`

## Method Summary

### Methods inherited from class htsjdk.samtools.metrics.MetricBase

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### SAMPLE

public String SAMPLE
The sample name

### ESTIMATE

public double ESTIMATE
The estimate of contamination from the model (on the 0.0-1.0 scale)

### STDERR

public double STDERR
The standard error of the estimate

### TVAL

public double TVAL
The test statistic for the estimate

### PVAL

public double PVAL
The p-value of the estimate

### LOG10_PVAL

public double LOG10_PVAL
The log p-value of the estimate

### CALL_RATE

public double CALL_RATE
The call rate of the sample (number of non-missing genotypes)

### NHOM

public int NHOM
The number of homozygous genotypes used to fit the model

## Constructor Details

### BafRegressMetrics

public BafRegressMetrics()